upgrade



  • I'm running Slackware 14.2 w/ Qt4 and wish to install Qt5 to get 'Qt5CoreConfig.cmake'. Do I need to uninstall Qt4 first and how would I do that if necessary? Thanks for any help on this.
    tincat


  • Moderators

    @tincat

    Hi and welcome to devnet forum

    In general there is no need to uninstall Qt4 when you intend to use Qt5. Especially when you are using Qt creator as a development environment, it can support multiple Qt versions (Qt4 and/or Qt5) in parallel. Some times there is a bit confusion when you have older versions accessible through the path enviroment variable. Besides that possibility you can use Qt4 and Qt5 in parallel which may be quite helpful when migrating from one to the next version.

    With Qt5CoreConfig.cmake I do not have experience, but I would not expect problems right away.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.